Bug 164547 - graphics/cegui build failed if has tinyxml installed
Summary: graphics/cegui build failed if has tinyxml installed
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Oliver Lehmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-27 18:50 UTC by Yanhui Shen
Modified: 2012-06-24 09:30 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yanhui Shen 2012-01-27 18:50:08 UTC
cegui build failed if has tinyxml installed with the following message:
CEGUITinyXMLParser.cpp: In member function 'void CEGUI::TinyXMLDocument::processElement(const TiXmlElement*)': 
CEGUITinyXMLParser.cpp:134: error: 'ELEMENT' is not a member of 'TiXmlNode' 
CEGUITinyXMLParser.cpp:137: error: 'TEXT' is not a member of 'TiXmlNode'
*** Error code 1

Fix: 

Add --disable-external-tinyxml to CONFIGURE_ARGS in the Makefile(ports).
How-To-Repeat: 1.Install tinyxml in the port.
2.Then build cegui.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2012-01-28 01:46:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

Fix synopsis and assign.
Comment 2 Oliver Lehmann freebsd_committer 2012-06-24 09:21:24 UTC
State Changed
From-To: open->closed

fixed with 0.7.6
Comment 3 dfilter service freebsd_committer 2012-06-24 09:21:26 UTC
oliver      2012-06-24 08:21:14 UTC

  FreeBSD ports repository

  Modified files:
    graphics/cegui       Makefile distinfo pkg-plist 
    games/rigsofrods     Makefile 
    games/ember          Makefile 
    games/sumwars        Makefile 
    games/secretmaryochronicles Makefile 
  Log:
  update cegui to 0.7.6
  ignore tinyxml when installed and always use local copy [1]
  
  PR:             ports/164547 [1]
  Submitted by:   Yanhui Shen <shen.elf@gmail.com> [1]
  
  Revision  Changes    Path
  1.69      +2 -2      ports/games/ember/Makefile
  1.17      +2 -2      ports/games/rigsofrods/Makefile
  1.29      +2 -2      ports/games/secretmaryochronicles/Makefile
  1.6       +2 -2      ports/games/sumwars/Makefile
  1.34      +3 -4      ports/graphics/cegui/Makefile
  1.9       +2 -2      ports/graphics/cegui/distinfo
  1.11      +23 -22    ports/graphics/cegui/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"